using System;
using System.Data;
using System.Data.SqlClient;
using System.Data.SqlTypes;
using System.Xml;
using System.Reflection;
using System.Configuration;
using ESpace.DALibrary.SqlServer;
using ESpace.DALibrary;

namespace AVC.DataAccess
{
	public class RightsSelectByRightTypeID : DataAccessBase
	{
		public RightsSelectByRightTypeID()
		{
			base.EncryptMethod = Alogrim.SymmProvEnum.DES;
			base.Key = "1234";
			base.IV = "1234";
			ConnectionString = ConfigurationManager.AppSettings["Passport"];
			base.InitCommand("[dbo].[RightsSelectByRightTypeID]");
			ConfigParameter();
		}

		private SqlParameter paramRightTypeID;
		public System.Int32 RightTypeID
		{
			get
			{
				return (System.Int32)paramRightTypeID.Value;
			}
			set
			{
				paramRightTypeID.Value = value;
			}
		}

		public void ConfigParameter()
		{
			//--------------------------------------------------------
			paramRightTypeID = new SqlParameter();
			paramRightTypeID.ParameterName = "@RightTypeID";
			paramRightTypeID.SqlDbType = SqlDbType.Int;
			paramRightTypeID.Precision = 10;
			paramRightTypeID.Scale = 0;
			paramRightTypeID.Direction = ParameterDirection.Input;
			paramRightTypeID.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramRightTypeID);
		}
	}
}